%define        pkgver %(echo %version | tr -d . )
Name:          openarena
Version:       0.8.8
Release:       2mamba
Summary:       An open-source content package for Quake III Arena licensed under the GPL
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://openarena.ws
Source:        http://download.tuxfamily.net/openarena/rel/%{pkgver}/openarena-%{version}.zip
Source1:       http://openarena.ws/svn/source/ioq3-src-oa.tar.bz2
Source2:       http://download.tuxfamily.org/openarena/rel/077/oa077-patch.zip
Source3:       http://www.openarena.ws/svn/source/ui/menudef.h
Source4:       openarena.ico
Source5:       openarena.desktop
Source6:       openarena-runner.sh
Patch0:        oachanges.diff
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL-devel
BuildRequires: libglvnd-devel
BuildRequires: libogg-devel
BuildRequires: libvorbis-devel
## AUTOBUILDREQ-END
ExclusiveArch: x86_64 %{ix86}

%description
An open-source content package for Quake III Arena licensed under the GPL, effectively creating a free stand-alone game. 
Warning: this game was rated appropriate for an adult audience.

%debug_package

%prep
%setup -q
#-a1
rm *.dll *.exe
rm -rf __MACOSX *.app

:<< _OLD
#rm ioq* -f
rm *.dll -f
rm openarena.exe
cp %{SOURCE3} code/ui/menudef.h
mkdir ui
cp %{SOURCE3} ui/menudef.h
cd ..
#unzip -qqo %{SOURCE2}

%build
#% make USE_CURL_DLOPEN=0

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
install -d \
   %{buildroot}%{_bindir} \
   %{buildroot}%{_datadir}/openarena \
   %{buildroot}%{_datadir}/pixmaps \
   %{buildroot}%{_datadir}/applications

cp -a * %{buildroot}%{_datadir}/openarena/
#make copyfiles COPYDIR=%{buildroot}/opt/ioquake3
#cp -a baseoa %{buildroot}/opt/ioquake3
cp %{SOURCE4} %{buildroot}%{_datadir}/pixmaps/openarena.ico
cp %{SOURCE5} %{buildroot}%{_datadir}/applications/openarena.desktop
install -D -m0755 %{SOURCE6} %{buildroot}%{_datadir}/openarena/openarena-runner.sh
ln -s %{_datadir}/openarena/openarena-runner.sh %{buildroot}%{_bindir}/openarena
ln -s %{_datadir}/openarena/openarena-runner.sh %{buildroot}%{_bindir}/openarena-server

%ifarch x86_64
rm -f %{buildroot}%{_datadir}/openarena/*.i386
%endif
%ifarch %{ix86}
rm -f %{buildroot}%{_datadir}/openarena/*.x86_64
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(0755,root,root)
%{_bindir}/openarena
%{_bindir}/openarena-server
%dir %{_datadir}/openarena
%{_datadir}/openarena/CHANGES
%{_datadir}/openarena/COPYING
%{_datadir}/openarena/CREDITS
%{_datadir}/openarena/LINUXNOTES
%{_datadir}/openarena/README
%{_datadir}/openarena/WENEED
%dir %{_datadir}/openarena/baseoa
%{_datadir}/openarena/baseoa/*.pk3
%dir %{_datadir}/openarena/missionpack
%{_datadir}/openarena/missionpack/*.pk3
%{_datadir}/openarena/oa_ded.*
%{_datadir}/openarena/openarena-runner.sh
%{_datadir}/openarena/openarena.*
%{_datadir}/openarena/readme_*.txt
%{_datadir}/applications/openarena.desktop
%{_datadir}/pixmaps/openarena.ico
%doc COPYING

%changelog
* Mon May 10 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.8-2mamba
- rebuilt with debug package and x86_64 target

* Fri Apr 06 2012 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.8.8-1mamba
- update to 0.8.8

* Thu Apr 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-3mamba
- automatic rebuild by autodist

* Fri Dec 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-2mamba
- ... add a changelog entry

* Thu Dec 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.8.1-1mamba
- automatic update by autodist

* Sat Jul 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.7-2mamba
- fix files permission: don't set all to 775

* Thu Jul 03 2008 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 0.7.7-1mamba
- update to 0.7.7 

* Fri Nov 16 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.7.0-1mamba
- package created by autospec
